frozen-bubble (2.212-4) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.
  * Don't hardcode /usr/lib/perl5 in debian/*.install as a preparation for
    the multi-arched perl 5.20. (Closes: #752471)
  * Use debhelper 9.20120312 to get default hardening flags.
  * Use canonical URL in Vcs-Git.
  * Add a Keywords entry to the .desktop file.
  * Add patch hardening-server to add hardening flags to build. Fix a
    compiler error about unused return values that is triggered by this
    change.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 Jun 2014 16:26:20 +0200

frozen-bubble (2.212-3) unstable; urgency=low

  * patch hard-code-share-dir-path: update config correctly for
    fb-server in /usr/lib/games (Closes: #677556)
  * new shorter-nick patch: makes lan nick length compatible with
    lan-server (Closes: #459666)
  * new kick-out-accelerometers patch: ignore accelerometers disguised
    as joystick (Closes: #664546). This should fix issues with weird behavior
    on laptop like high score going out too fast or bubble shooter stuck
    on one side of the screen.

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Jun 2012 13:48:13 +0200

frozen-bubble (2.212-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Add Depends on libcompress-bzip2-perl.
    Thanks to Ingo Saitz and Bob Proulx for the reports
    (Closes: #662875, #662907)

 -- Dominique Dumont <dod@debian.org>  Fri, 09 Mar 2012 14:15:30 +0100

frozen-bubble (2.212-1) unstable; urgency=low

  [ Josselin Mouette ]

  * New upstream pre-release.
    + Fixes level editor glitch. Closes: #462632.
  * Update to 3.0 quilt format, split changes in patches.
  * Standards version is 3.9.2.
  * Add VCS URLs.
  * Wrap (build-)dependencies.
  * Add homepage. Closes: #587622.
  * Bump sdlperl dependencies.
  * Fix desktop file. Closes: #638954.
  * Drop fb-music-low, now everything is in OGG format.
  * Build-depend on libfile-slurp-perl and libipc-system-simple-perl.

  [ Dominique Dumont ]

  * Thanks to Josselin for taking care of frozen-bubble for years. This
    game is now handled by debian-perl team (Closes: #660354)
  * fix installation paths
  * added patch to hard code installation directories in Debian instead
    of relying on File::ShareDir
  + control: added section and priority
  + Build-depends on libalien-sdl-dev-perl
  + Depends on libalien-sdl-perl
  + added /me to uploader. Removed Joss who is welcome to add himself back.

 -- Dominique Dumont <dod@debian.org>  Tue, 06 Mar 2012 13:16:43 +0100

frozen-bubble (2.2.0-2) unstable; urgency=low

  * Add missing dependency on liblocale-gettext-perl. Closes: #540788.

 -- Josselin Mouette <joss@debian.org>  Sun, 03 Oct 2010 21:14:24 +0200

frozen-bubble (2.2.0-1) unstable; urgency=low

  * New upstream pre-release.
  * Add dh_desktop call.
  * Standards version is 3.8.0.
  * Drop some translations that were merged upstream.

 -- Josselin Mouette <joss@debian.org>  Tue, 04 Nov 2008 14:10:13 +0100

frozen-bubble (2.1.0-2) unstable; urgency=low

  * Fix short description.
  * de.po: corrected German translation by Jens Seidel. Closes: #437348.
  * sk.po: corrected Slovak translation by helix84. Closes: #441625.
  * rules: stop ignoring errors in the clean target.
  * frozen-bubble.desktop: remove "Application" from categories.
  * frozen-bubble.menu: update to conform to the latest specification.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Sep 2007 18:28:16 +0200

frozen-bubble (2.1.0-1) unstable; urgency=high

  * New upstream release.
    + Can now enable chain reactions everywhere (closes: #398025).
  * High urgency was asked by upstream as 2.0.0 shouldn't remain
    distributed in the long term.
  * server/tools.c: a setuid patch was included upstream.
  * debian/fb-server.conf: change user to nobody.
  * rules: colourblind set is now correctly included.
  * control: don't build-depend on imagemagick anymore.

 -- Josselin Mouette <joss@debian.org>  Mon, 20 Nov 2006 21:09:36 +0100

frozen-bubble (2.0.0-3) unstable; urgency=high

  * Build-depend on imagemagick (closes: #398243).

 -- Josselin Mouette <joss@debian.org>  Mon, 13 Nov 2006 21:13:30 +0100

frozen-bubble (2.0.0-2) unstable; urgency=high

  * rules:
    + Create colourblind mini bubbles set (closes: #395836).
    + Specify localedir explicitly so that translations get installed.
    + Chmod them to 644.
  * frozen-bubble-data.install: install these translations.
  * build-depend on dpkg-dev 1.13.19 (closes: #396013).

 -- Josselin Mouette <joss@debian.org>  Fri, 10 Nov 2006 22:41:52 +0100

frozen-bubble (2.0.0-1) unstable; urgency=low

  * New upstream release.
    + Adds full joystick support (closes: #149936).
    + Adds multiplayer mode (closes: #145960).
    + Deactivates chain-reactions in single-player mode
      (closes: #366874).
  * Minor corrections to .desktop file (closes: #379874).
  * frozen-bubble.dirs: removed, unused.
  * debian/compat = 5.
  * Standards-version is 3.7.2.
  * fb-music-low conflicts with frozen-bubble < 2, because of one
    removed .xm file.
  * Use ${source:Version}.
  * frozen-bubble.xpm: updated with the new icon.
  * Don't install the upstream changelog, it was removed.
  * Build-depend on libsdl-pango-dev and libglib2.0-dev.
  * Update the .install files.
  * server/net.c: setuid to nobody.
  * Ship init script and configuration file example.

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Oct 2006 00:27:14 +0200

frozen-bubble (1.0.0-6) unstable; urgency=low

  * c_stuff/lib/FBLE.pm: fix to deal with new SDL_perl (closes: #257749).

 -- Josselin Mouette <joss@debian.org>  Thu,  8 Jul 2004 17:22:16 +0200

frozen-bubble (1.0.0-5) unstable; urgency=low

  * frozen-bubble: patch from Samuel Hocevar to deal with new SDL_perl
    gracefully (closes: #251816).
  * debian/frozen-bubble.menu: quote correctly.
  * debian/control: standards version is 3.6.1, no changes required.
  * frozen-bubble.desktop: add categories.
  * frozen-bubble.install: install the .desktop in /usr/share/applications.
  * debian/{rules,*.install}: don't use --sourcedir for dh_install.

 -- Josselin Mouette <joss@debian.org>  Tue,  1 Jun 2004 21:40:38 +0200

frozen-bubble (1.0.0-4) unstable; urgency=low

  * Handle SDL_QUIT events in main menu (closes: #194589).
  * Standards-version is 3.5.10.
  * debian/control: correct descriptions according to suggestions of
    debian-l10n-english people.
  * debian/frozen-bubble.xpm: use 32x32 icon in truecolor.
  * Delete save_virgin in clean target.
  * Remove shlibs.local.

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Jun 2003 14:45:12 +0200

frozen-bubble (1.0.0-3) unstable; urgency=low

  * debian/control: {build-,}depend on sdlperl 1.20.0-8.

 -- Josselin Mouette <joss@debian.org>  Tue,  6 May 2003 12:41:32 +0200

frozen-bubble (1.0.0-2) unstable; urgency=low

  * Updated build dependencies.
  * Standards-version is 3.5.9.
  * Corrected upstream URL (closes: #181477).

 -- Josselin Mouette <joss@debian.org>  Mon,  5 May 2003 16:17:50 +0200

frozen-bubble (1.0.0-1) unstable; urgency=low

  * The "sarge won't release in time" new upstream release.
  * Depend on sdlperl 1.19.
  * debian/rules: cleanup.
  * Remove .xvpics directories.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Feb 2003 10:47:36 +0100

frozen-bubble (0.9.9+1-3) unstable; urgency=low

  * New chainreactions handling.

 -- Josselin Mouette <joss@debian.org>  Mon,  3 Feb 2003 21:56:21 +0100

frozen-bubble (0.9.9+1-2) unstable; urgency=low

  * Patch from upstream, corrects bug in the chainreactions.

 -- Josselin Mouette <joss@debian.org>  Mon,  3 Feb 2003 14:49:30 +0100

frozen-bubble (0.9.9+1-1) unstable; urgency=low

  * 1.0.0 preversion.
  * Removed already integrated patches.

 -- Josselin Mouette <joss@debian.org>  Mon,  3 Feb 2003 12:54:55 +0100

frozen-bubble (0.9.3-7) unstable; urgency=low

  * frozen-bubble: patch from Martin Quinson to give a malus to the left 
    player (closes: #172641).
  * debian/frozen-bubble.6: updated correspondingly.
  * frozen-bubble: corrected typo in the bubble number count
    (closes: #176170, #176767).
  * Standards-version 3.5.8.
  * debian/control: split frozen-bubble-data and fb-music-low.
  * debian/rules: use debhelper mode 4 and dh_install.

 -- Josselin Mouette <joss@debian.org>  Thu, 23 Jan 2003 18:13:05 +0100

frozen-bubble (0.9.3-6) unstable; urgency=low

  * frozen-bubble: corrected highscores sorting (closes: #166530).
  * frozen-bubble: goodbye message grammar (closes: #151083).
  * frozen-bubble: counting bubbles patch from Martin Quinson
       (closes: #154679).

 -- Josselin Mouette <joss@debian.org>  Tue,  5 Nov 2002 16:23:29 +0100

frozen-bubble (0.9.3-5) unstable; urgency=medium

  * This package needs to be rebuilt on some arches, as it is keeping
    perl 5.8 out of testing.
  * debian/control: set standards-version to 3.5.7.
  * debian/control: added upstream URL.

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Sep 2002 14:46:18 +0200

frozen-bubble (0.9.3-4.5) unstable; urgency=low

  * NMU for perl 5.8. Bumped perl build-dep to 5.8. Set NMU number high to
    allow for a few NMU's for vorbis stuff before this makes the archive..

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jul 2002 06:55:47 +0000

frozen-bubble (0.9.3-3) unstable; urgency=low

  * debian/control: removed the Conflicts: field, to make dist-upgrades
    go smoother.
  * debian/frozen-bubble.docs: removed CHANGES (closes: #148442).

 -- Josselin Mouette <joss@debian.org>  Fri,  7 Jun 2002 22:39:29 +0200

frozen-bubble (0.9.3-2) unstable; urgency=low

  * debian/control: added a Replaces field, thanks Daniel (closes: #148087)

 -- Josselin Mouette <joss@debian.org>  Sat, 25 May 2002 03:19:46 +0200

frozen-bubble (0.9.3-1) unstable; urgency=low

  * New upstream release (closes: #138795, #148025, #140418, #139887, #143240)
  * debian/ control, *.files: removed frozen-bubble-lib
  * frozen-bubble: ugly hack (closes: #147677)
  * debian/control: corrected build-depends
  * added shlibs.local file
  * debian/frozen-bubble.6: added new option description

 -- Josselin Mouette <joss@debian.org>  Sat, 25 May 2002 01:02:58 +0200

frozen-bubble (0.9.2.99pre0.9.3b-1) unstable; urgency=low

  * New upstream release
  * Second prerelease for version 0.9.3
  * debian/frozen-bubble.6: documented new options

 -- Josselin Mouette <joss@debian.org>  Fri, 26 Apr 2002 11:15:27 +0200

frozen-bubble (0.9.2.99pre0.9.3-1) unstable; urgency=low

  * New upstream release
  * 0.9.3 prerelease, for testing purposes
  * removed all SDL_mixer stuff
  * debian/control: corrected dependencies

 -- Josselin Mouette <joss@debian.org>  Tue, 23 Apr 2002 13:51:22 +0200

frozen-bubble (0.9.2-12) unstable; urgency=medium

  * frozen-bubble, Makefile: added path to excutable (closes: #143222).

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Apr 2002 09:21:51 +0200

frozen-bubble (0.9.2-11) unstable; urgency=medium

  * Changed maintainer email.
  * Makefile, frozen-bubble, fb.pl, debian/rules, debian/*.files: moved
    files complying to FHS (closes: #139903).
  * fb.pl: applied patch for sound on PPC from aaron@schrab.com
    (closes: #143042).

 -- Josselin Mouette <joss@debian.org>  Tue, 16 Apr 2002 18:46:39 +0200

frozen-bubble (0.9.2-10) unstable; urgency=low

  * debian/control: added a build-dep on SDL 1.2.3.
  * SDL_mixer_patched/: re-trying Branden's patches, using smpeg.
  * debian/frozen-bubble.6: added command line options summary.
  * debian/rules: touch auto* files in SDL_mixer_patched/ directory.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 12 Mar 2002 15:47:15 +0100

frozen-bubble (0.9.2-9) unstable; urgency=low

  * debian/rules: added a missing dh_fixperms -i.
  * rebuilt with the good libsdl1.2 on the system.
  * SDL_mixer_patched/: removed Branden's patches and let alone
    some Makefile.am and configure.in changes, using sdl-config
    and not smpeg-config. Then, re-ran libtoolize and so on.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue,  5 Mar 2002 01:30:46 +0100

frozen-bubble (0.9.2-8) unstable; urgency=low

  * SDL_mixer_patched/ Makefile.am, configure.in, acinclude.m4,
    */Makefile.am: trying to solve the hppa and ia64 build failure
    by applying Branden Robinson's patches.
  * debian/control: added a build-depends on libsmpeg-dev.
  * SDL_mixer_patched/: ran libtoolize --force --copy; aclocal;
    automake --foreign; autoconf
  * fb.pl: applied patch from upstream (closes: #135621).

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon,  4 Mar 2002 19:22:24 +0100

frozen-bubble (0.9.2-7) unstable; urgency=low

  * debian/control: added versioned build-dep on debhelper, because of
    a bug in debhelper 3.4.9.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 25 Feb 2002 18:47:07 +0100

frozen-bubble (0.9.2-6) unstable; urgency=low

  * debian/ frozen-bubble.xpm, rules, menu, frozen-bubble.files,
    frozen-bubble.desktop: added a menu icon.
  * debian/control: added libsdl1.2-dev to build-deps.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Thu, 21 Feb 2002 15:33:21 +0100

frozen-bubble (0.9.2-5) unstable; urgency=low

  * debian/copyright, debian/frozen-bubble.6: changed upstream
    autor email.
  * debian/rules: moved a last make to $(MAKE).

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 18 Feb 2002 20:58:13 +0100

frozen-bubble (0.9.2-4) unstable; urgency=low

  * debian/rules: a less ugly handling of the perl Makefile.
  * debian/control: proper perl handling.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 18 Feb 2002 16:26:45 +0100

frozen-bubble (0.9.2-3) unstable; urgency=low

  * debian/menu: /usr/bin -> /usr/games.
  * debian/control, debian/frozen-bubble.6: corrected errors in description.
  * debian/rules: a bit more cleaning.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 11 Feb 2002 12:47:08 +0100

frozen-bubble (0.9.2-2) unstable; urgency=low

  * debian/frozen-bubble.6: section was wrong.
  * debian/control: made frozen-bubble-data and frozen-bubble-lib
    recommend frozen-bubble.
  * first upload to unstable (closes: #132861).

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 11 Feb 2002 00:17:02 +0100

frozen-bubble (0.9.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules: lot of cleaning.
  * debian/*.files, debian/rules: moved binaries to /usr/games.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Sun, 10 Feb 2002 19:00:14 +0100

frozen-bubble (0.9.1-3) unstable; urgency=low

  * debian/control: clarified the description.
  * debian/frozen-bubble.1, debian/rules: added manpage.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Fri,  8 Feb 2002 11:35:06 +0100

frozen-bubble (0.9.1-2) unstable; urgency=low

  * Split into 3 packages (binary, lib and data).

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Thu,  7 Feb 2002 08:41:54 +0100

frozen-bubble (0.9.1-1) unstable; urgency=low

  * Initial Release.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Wed,  6 Feb 2002 16:29:25 +0100

